implicit none

 integer, parameter :: ch=8
 integer, parameter :: num=50000
 real :: data(num, ch),  x
 integer :: year, month, day, hour, minute, second
 character :: date*20, head1*1024, head2*1024, head3*1024, head4*1024
 character :: file*1024

 integer :: i, j

 file = 'AWS1_TBL110.dat'
 ! file = 'AAA'

 i = 1
 open(unit=10, file=file, status='old', err=999)


 read(10, *) head1
 read(10, *) head2
 read(10, *) head3
 read(10, *) head4


 do i=1, num
 read(10, *, end=900, err=900) date, (data(i, j), j=1, ch)
!    write(*,*) date, ':', (data(i, j), j=1, ch)
 read(date, "(I4,1x,I2,1x,I2,1x,I2,1x,I2,1x,I2)") &
 	year, month, day, hour, minute, second

 write(*,*) year, month, day, hour, minute, second , ':', (data(i, j), j=1, ch)

 end do
 900 close(10)



 stop
 999 write(*,*) 'Can not open ', file
 stop

end
